Page MenuHomePhabricator

Remove extensions/DataTypes git repo
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/DataTypes including the GitHub mirror at https://github.com/wikimedia/mediawiki-extensions-DataTypes.

About two years back this repo was moved to https://github.com/wmde/DataTypes/, where development has happened since. It's confusing to have the old copy (with 2 year out of date code) still around, so it'd be nice if it got deleted.

Details

Related Gerrit Patches:

Event Timeline

JeroenDeDauw raised the priority of this task from to Needs Triage.
JeroenDeDauw updated the task description. (Show Details)
JeroenDeDauw added a subscriber: JeroenDeDauw.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 9:01 AM

if I try to delete it, I get the following error: "Cannot delete project mediawiki/extensions/DataTypes: Project is subscribed by other projects." If I understand https://gerrit.wikimedia.org/r/plugins/deleteproject/Documentation/cmd-delete.html correctly, it's because another repository declares this repository as one of its submodules. -- ori on #wikimedia-dev

Isn't that because it is used in mediawiki-extensions?

Aklapper set Security to None.

Change 230923 had a related patch set uploaded (by QChris):
Unsubscribe DataTypes, as it will be deleted

https://gerrit.wikimedia.org/r/230923

Change 230923 merged by QChris:
Unsubscribe DataTypes, as it will be deleted

https://gerrit.wikimedia.org/r/230923

QChris added a subscriber: QChris.Aug 11 2015, 10:39 PM

The branches:

  • refs/heads/mw1.23-wmf1
  • refs/heads/mw1.23-wmf3
  • refs/heads/mw1.23-wmf5
  • refs/heads/mw1.23-wmf6

of the mediawiki/extensions/Wikidata repo still have
mediawiki/extensions/DataTypes as .gitmodule.

So by deleting mediawiki/extensions/DataTypes, we break the above
four wmf branches.

But given that they are old, and given also that
https://github.com/wikimedia/mediawiki-extensions-DataTypes
has the needed commits, it should be ok to delete
mediawiki/extensions/DataTypes nonetheless.

Change 230936 had a related patch set uploaded (by QChris):
Drop mediawiki/extensions/DataTypes for repo deletion

https://gerrit.wikimedia.org/r/230936

I removed the subscriptions from Gerrit. Once the repo is dropped from CI (T108759) it is good to get deleted from Gerrit.

thiemowmde triaged this task as Medium priority.Aug 13 2015, 1:20 PM
thiemowmde updated the task description. (Show Details)
thiemowmde added projects: DataTypes, Wikidata.
thiemowmde added a subscriber: JanZerebecki.

Mh this seems to register as an extensions when the autoloader is loaded, not sure if it is not necessary to move this to gerrit. I don't remember the implications, right now.

QChris added a comment.EditedAug 13 2015, 5:26 PM

Mh this seems to register as an extensions when the autoloader is loaded, [...]

Are you sure that those references go to the Gerrit repo mediawiki/extensions/DataTypes?

As Jeroen laid out in the Task summary, I also only see references (e.g.: here) to https://github.com/wmde/DataTypes.git, which is also a repo of name DataTypes, but a different not-Gerrit DataTypes repo (note the /wmde/ part in the middle).

Where/how exactly does a dependency on the Gerrit repo mediawiki/extensions/DataTypes come in?

The repo discussed in this task is what was moved from gerrit to https://github.com/wmde/DataTypes.git . What I meant is that if this is an extension and not a library (that knows nothing of mediawiki) it needs to move back to gerrit. I.e. the reverse of what this task set out to finish.

The problem of registering libraries as extensions in the Wikibase context is discussed in T109171.

@JanZerebecki it's unclear if this component will keep existing in its current form or not. Keeping a seriously outdated copy of the code around because we might want to reuse the git repo at some future point does not seem like a good idea to me.

At the very least the content of the repo should be deleted.

Where/how exactly does a dependency on the Gerrit repo mediawiki/extensions/DataTypes come in?

I'm also wondering that. Presumably another outdated repo. That's certainly what I hope, since this old copy of the code does not match what other parts of our codebase expect.

JanZerebecki added a comment.EditedAug 22 2015, 1:34 PM

@JeroenDeDauw It is unclear to me why you want to avoid finding out now what needs to be done to it. Then we can avoid doing something that we need to then revert. I'm not talking about some distant future. Please discuss T109171. Alternatively it is probably easier to just move all of them to gerrit, there is no good reason to use github anyway.

hashar added a subscriber: hashar.

The extension is no more in CI, so you can now remove it from Gerrit.

QChris added a subscriber: demon.Aug 26 2015, 11:53 AM

The extension is no more in CI, so you can now remove it from Gerrit.

@hashar: Thanks.

I removed the repo from gerrit.

@demon: Could you please take care of nuking mediawiki/extensions/DataTypes from github, gitblit, and phabricator?

demon closed this task as Resolved.Sep 2 2015, 6:29 PM
demon claimed this task.